# Visualization
TKMeshVS
MeshVS

# MeshVS_Array1OfSequenceOfInteger Class Reference

`#include <MeshVS_Array1OfSequenceOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_Array1OfSequenceOfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | MeshVS_Array1OfSequenceOfInteger (const TColStd_SequenceOfInteger &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TColStd_SequenceOfInteger &V)
Standard_EXPORT void | Destroy ()
| ~MeshVS_Array1OfSequenceOfInteger ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const MeshVS_Array1OfSequenceOfInteger & | Assign (const MeshVS_Array1OfSequenceOfInteger &Other)
const MeshVS_Array1OfSequenceOfInteger & | operator= (const MeshVS_Array1OfSequenceOfInteger &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TColStd_SequenceOfInteger &Value)
const TColStd_SequenceOfInteger & | Value (const Standard_Integer Index) const
const TColStd_SequenceOfInteger & | operator() (const Standard_Integer Index) const
TColStd_SequenceOfInteger & | ChangeValue (const Standard_Integer Index)
TColStd_SequenceOfInteger & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | MeshVS_Array1OfSequenceOfInteger (const MeshVS_Array1OfSequenceOfInteger &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_Array1OfSequenceOfInteger::MeshVS_Array1OfSequenceOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT MeshVS_Array1OfSequenceOfInteger::MeshVS_Array1OfSequenceOfInteger | ( | const TColStd_SequenceOfInteger & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

MeshVS_Array1OfSequenceOfInteger::~MeshVS_Array1OfSequenceOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_Array1OfSequenceOfInteger::MeshVS_Array1OfSequenceOfInteger | ( | const MeshVS_Array1OfSequenceOfInteger & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const MeshVS_Array1OfSequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::Assign | ( | const MeshVS_Array1OfSequenceOfInteger & | Other | ) |

TColStd_SequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MeshVS_Array1OfSequenceOfInteger::Destroy | ( |  | ) |

Standard_EXPORT void MeshVS_Array1OfSequenceOfInteger::Init | ( | const TColStd_SequenceOfInteger & | V | ) |

Standard_Boolean MeshVS_Array1OfSequenceOfInteger::IsAllocated | ( |  | ) | const

Standard_Integer MeshVS_Array1OfSequenceOfInteger::Length | ( |  | ) | const

Standard_Integer MeshVS_Array1OfSequenceOfInteger::Lower | ( |  | ) | const

void MeshVS_Array1OfSequenceOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_Array1OfSequenceOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_Array1OfSequenceOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TColStd_SequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TColStd_SequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MeshVS_Array1OfSequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::operator= | ( | const MeshVS_Array1OfSequenceOfInteger & | Other | ) | `[inline]`

void MeshVS_Array1OfSequenceOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const TColStd_SequenceOfInteger & | Value
| ) |

Standard_Integer MeshVS_Array1OfSequenceOfInteger::Upper | ( |  | ) | const

const TColStd_SequenceOfInteger& MeshVS_Array1OfSequenceOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean MeshVS_Array1OfSequenceOfInteger::isAllocated `[private]`

Standard_Integer MeshVS_Array1OfSequenceOfInteger::myLowerBound `[private]`

Standard_Address MeshVS_Array1OfSequenceOfInteger::myStart `[private]`

Standard_Integer MeshVS_Array1OfSequenceOfInteger::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- MeshVS_Array1OfSequenceOfInteger.hxx